com.google.gwt.core.ext.linker

## Class DelegatingCompilationResult

- java.lang.Object
- - com.google.gwt.core.ext.linker.Artifact<CompilationResult>
  - - com.google.gwt.core.ext.linker.CompilationResult
    - - com.google.gwt.core.ext.linker.DelegatingCompilationResult

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Artifact<?>>

    public class DelegatingCompilationResult
    extends CompilationResult

A delegate for `CompilationResult` intended for third party linkers that want to modify a compilation result. Extending this class should insulate against future changes to the CompilationResult type.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DelegatingCompilationResult(java.lang.Class<? extends Linker> linkerType, CompilationResult compilationResult)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getJavaScript()` Returns the JavaScript compilation.
`int` `getPermutationId()` Returns the permutation ID.
`java.util.SortedSet<java.util.SortedMap<SelectionProperty,java.lang.String>>` `getPropertyMap()` Provides values for `SelectionProperty` instances that are not explicitly set during the compilation phase.
`SoftPermutation[]` `getSoftPermutations()` Returns the permutations of the collapsed deferred-binding property values that are compiled into the CompilationResult.
`StatementRanges[]` `getStatementRanges()` Returns the statement ranges for the JavaScript returned by `CompilationResult.getJavaScript()`.
`java.lang.String` `getStrongName()` Return a string that uniquely identifies this compilation result.
`SymbolData[]` `getSymbolMap()` Returns a sorted array of obfuscated symbol names in the compilation to metadata about the symbol.
`java.lang.String` `toString()`

### Methods inherited from class com.google.gwt.core.ext.linker.CompilationResult

`compareToComparableArtifact, getComparableArtifactType, hashCode`

### Methods inherited from class com.google.gwt.core.ext.linker.Artifact

`compareTo, equals, getLinker, isTransferableFromShards`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DelegatingCompilationResult

    public DelegatingCompilationResult(java.lang.Class<? extends Linker> linkerType,
                                       CompilationResult compilationResult)

### Method Detail

#### getJavaScript

    public java.lang.String[] getJavaScript()

Description copied from class: `CompilationResult`
Returns the JavaScript compilation. The first element of the array contains the code that should be run when the application starts up. The remaining elements are loaded via `GWT.runAsync`. See `AsyncFragmentLoader` for details on the necessary linker support for runAsync.

Specified by:
  `getJavaScript` in class `CompilationResult`

#### getPermutationId

    public int getPermutationId()

Description copied from class: `CompilationResult`
Returns the permutation ID.

Specified by:
  `getPermutationId` in class `CompilationResult`

#### getPropertyMap

    public java.util.SortedSet<java.util.SortedMap<SelectionProperty,java.lang.String>> getPropertyMap()

Description copied from class: `CompilationResult`
Provides values for `SelectionProperty` instances that are not explicitly set during the compilation phase. This method will return multiple mappings, one for each permutation that resulted in the compilation.

Specified by:
  `getPropertyMap` in class `CompilationResult`

#### getSoftPermutations

    public SoftPermutation[] getSoftPermutations()

Description copied from class: `CompilationResult`
Returns the permutations of the collapsed deferred-binding property values that are compiled into the CompilationResult.

Specified by:
  `getSoftPermutations` in class `CompilationResult`

#### getStatementRanges

    public StatementRanges[] getStatementRanges()

Description copied from class: `CompilationResult`
Returns the statement ranges for the JavaScript returned by `CompilationResult.getJavaScript()`. Some subclasses return `null`, in which case there is no statement range information available.

Overrides:
  `getStatementRanges` in class `CompilationResult`

#### getStrongName

    public java.lang.String getStrongName()

Description copied from class: `CompilationResult`
Return a string that uniquely identifies this compilation result. Typically this is a cryptographic hash of the compiled data.

Specified by:
  `getStrongName` in class `CompilationResult`

#### getSymbolMap

    public SymbolData[] getSymbolMap()

Description copied from class: `CompilationResult`
Returns a sorted array of obfuscated symbol names in the compilation to metadata about the symbol. This data can allow for on-the-fly deobfuscation of stack trace information or to allow server components to have in-depth knowledge of the runtime structure of compiled objects.

Specified by:
  `getSymbolMap` in class `CompilationResult`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `CompilationResult`